## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit0 effa3af05da4525d850a525ae2dedf5eb80351d7
%global date 20250523
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global tag %{version}

%global upstream_name nvidia-vaapi-driver

Name:           libva-nvidia-driver
Version:        0.0.14%{!?tag:^%{date}git%{shortcommit0}}
Release:        %autorelease
Summary:        A VA-API implemention using NVIDIA's NVDEC

License:        MIT
URL:            https://github.com/elFarto/nvidia-vaapi-driver

%if "%{?tag}"
Source0:        %{url}/archive/v%{version}/%{upstream_name}-%{version}.tar.gz
%else
Source0:        %{url}/archive/%{commit0}/%{upstream_name}-%{commit0}.tar.gz#/%{upstream_name}-%{shortcommit0}.tar.gz
%endif

BuildRequires:  gcc
BuildRequires:  meson >= 0.58.0
BuildRequires:  pkgconfig(ffnvcodec) >= 11.1.5.1
BuildRequires:  pkgconfig(gstreamer-codecparsers-1.0)
BuildRequires:  pkgconfig(libdrm) >= 2.4.60
BuildRequires:  pkgconfig(libva) >= 1.8.0

# Replace the rpmfusion package
Provides:       %{upstream_name} = %{version}-%{release}
Obsoletes:      %{upstream_name} < 0.0.10-3
# Alternative name that better describes the API involved
Provides:       nvdec-vaapi-driver = %{version}-%{release}

# Only one NVIDIA VA-API shim on a system at a time
Conflicts:      libva-vdpau-driver

# NVIDIA driver architectures
ExclusiveArch:  x86_64 aarch64 %{ix86} ppc64le

%description
This is an VA-API implementation that uses NVDEC as a backend. This
implementation is specifically designed to be used by Firefox for accelerated
decode of web content, and may not operate correctly in other applications.

%prep
%if "%{?tag}"
%autosetup -p1 -n %{upstream_name}-%{version}
%else
%autosetup -p1 -n %{upstream_name}-%{commit0}
%endif

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files
%doc README.md
%license COPYING
%{_libdir}/dri/nvidia_drv_video.so

%changelog
## START: Generated by rpmautospec
* Mon Jun 09 2025 xxxx <xxxxx@xxxxxx.xx> - 0.0.14-1
- tagged  as 0.0.14
- no other changes to previuos 0.0.13 snapshot

* Fri May 23 2025 xxxx <xxxxx@xxxxxx.xx> - 0.0.13^20250523giteffa3af-1
- Update to latest 0.0.13 snapshot 

* Sun Apr 20 2025 Simone Caronni <negativo17@gmail.com> - 0.0.13^20250419gitc2860cc-1
- Update to latest 0.0.13 snapshot 
- Support for 575.*  drivers

* Tht Jan 30 2025 Simone Caronni <negativo17@gmail.com> - 0.0.13^20250118gitc519e97-1
- Update to latest 0.0.13 snapshot

## END: Generated by rpmautospec
